Subject: bug#8547: 23.3.50; conf-mode-maybe rule grabs config.h.in

From: Chong Yidong <[email-masked]>
Date: Sat, 28 May 2011 15:27:52 -0400

Reuben Thomas <[email-masked]> writes:

> The current rule in files.el for conf-mode-maybe grabs config.h.in,
> which should instead go through the .in-stripping rule and end up in
> c-mode.
>
> From the comment for that rule, it seems that the only time it should
> allow an extra (middle) suffix is when that is .local, so changing it to
> something like
>
>      ("[/.]c\\(?:on\\)?f\\(?:i?g\\)?\\(?:\\(\\.local\\)?\\.[a-zA-Z0-9_-]+\\)?\\'" . conf-mode-maybe)
>
> i.e. removing period from the character class at the end and adding an
> explicit optional .local before it, should work.

The comment actually says that config.foo should also work.  I've
committed a different fix based on reordering the rules.  Thanks.